Package com.smartgwt.client.data

# Class CriteriaOutputSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.data.CriteriaOutputSettings

All Implemented Interfaces:
  `HasHandlers`

public class CriteriaOutputSettings extends DataClass
Settings for generation of AdvancedCriteria descriptions.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CriteriaOutputSettings()`
  `CriteriaOutputSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getEscapeHTML()`
  By default HTML characters such as `"<br>"` will be written into the output description to format the result.
  `static CriteriaOutputSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getPrefix()`
  Prefix to be prepended to each criterion description.
  `String`
  `getSuffix()`
  Suffix to be appended to each criterion description.
  `String`
  `getTextMatchStyle()`
  `TextMatchStyle` to use if converting from a simple criteria.
  `CriteriaOutputSettings`
  `setEscapeHTML(Boolean escapeHTML)`
  By default HTML characters such as `"<br>"` will be written into the output description to format the result.
  `CriteriaOutputSettings`
  `setPrefix(String prefix)`
  Prefix to be prepended to each criterion description.
  `CriteriaOutputSettings`
  `setSuffix(String suffix)`
  Suffix to be appended to each criterion description.
  `CriteriaOutputSettings`
  `setTextMatchStyle(String textMatchStyle)`
  `TextMatchStyle` to use if converting from a simple criteria.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CriteriaOutputSettings

    public CriteriaOutputSettings()

  - ### CriteriaOutputSettings

    public CriteriaOutputSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static CriteriaOutputSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setEscapeHTML

    public CriteriaOutputSettings setEscapeHTML(Boolean escapeHTML)
    By default HTML characters such as `"<br>"` will be written into the output description to format the result. Setting `escapeHTML` true will instead force HTML values in the output to be displayed to the user instead.
    Parameters:
      `escapeHTML` - New escapeHTML value. Default value is null
    Returns:
      `CriteriaOutputSettings` instance, for chaining setter calls

  - ### getEscapeHTML

    public Boolean getEscapeHTML()
    By default HTML characters such as `"<br>"` will be written into the output description to format the result. Setting `escapeHTML` true will instead force HTML values in the output to be displayed to the user instead.
    Returns:
      Current escapeHTML value. Default value is null

  - ### setPrefix

    public CriteriaOutputSettings setPrefix(String prefix)
    Prefix to be prepended to each criterion description.
    Parameters:
      `prefix` - New prefix value. Default value is null
    Returns:
      `CriteriaOutputSettings` instance, for chaining setter calls

  - ### getPrefix

    public String getPrefix()
    Prefix to be prepended to each criterion description.
    Returns:
      Current prefix value. Default value is null

  - ### setSuffix

    public CriteriaOutputSettings setSuffix(String suffix)
    Suffix to be appended to each criterion description.
    Parameters:
      `suffix` - New suffix value. Default value is null
    Returns:
      `CriteriaOutputSettings` instance, for chaining setter calls

  - ### getSuffix

    public String getSuffix()
    Suffix to be appended to each criterion description.
    Returns:
      Current suffix value. Default value is null

  - ### setTextMatchStyle

    public CriteriaOutputSettings setTextMatchStyle(String textMatchStyle)
    `TextMatchStyle` to use if converting from a simple criteria. This property, if specified, is passed to `convertCriteria` to override the default.
    Parameters:
      `textMatchStyle` - New textMatchStyle value. Default value is null
    Returns:
      `CriteriaOutputSettings` instance, for chaining setter calls

  - ### getTextMatchStyle

    public String getTextMatchStyle()
    `TextMatchStyle` to use if converting from a simple criteria. This property, if specified, is passed to `convertCriteria` to override the default.
    Returns:
      Current textMatchStyle value. Default value is null